Status: Closed % Done: 0%
Category:
Target version: 2.6.0-3218
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown
Description

Probando con el repositorio en Oracle y un servidor web local.
He seguido el procedimiento del manual para configurar la autenticación de usuarios (tablas VCSGISREPO_CONFIG y
VCSGISREPO_USERS)
Al intentar añadir la tabla a la copia de trabajo no pide la identificación de usuario. En la propia ventana sale el error de "Can´t get
repository tables metadata".
Si tengo abierta la ventana del "Servidor VCSGis", sale el error: "Entities failed. error 20, User 'null' is not autehnticated.
Y en el log:

WARN 453271 AWT-EventQueue-0 org.gvsig.vcsgis.swing.impl.addToWorkspace.VCSGisJAddToWorkspaceImpl - Can't updating
components.
org.gvsig.vcsgis.lib.VCSGisRuntimeException: No se puede hacer el commit
    at org.gvsig.vcsgis.lib.workspace.VCSGisWorkspaceImpl.reloadRepositoryEntities(VCSGisWorkspaceImpl.java:2630)
    at org.gvsig.vcsgis.lib.workspace.VCSGisWorkspaceImpl.getRepositoryEntityByCode(VCSGisWorkspaceImpl.java:422)
    at org.gvsig.vcsgis.lib.workspace.VCSGisWorkspaceImpl.getRepositoryEntity(VCSGisWorkspaceImpl.java:451)
    at org.gvsig.vcsgis.lib.workspace.VCSGisWorkspaceImpl.getEntity(VCSGisWorkspaceImpl.java:444)
    at
org.gvsig.vcsgis.swing.impl.addToWorkspace.VCSGisJAddToWorkspaceImpl.doUpdateComponents(VCSGisJAddToWorkspaceImpl.java:2
java:264)
    at
org.gvsig.vcsgis.swing.impl.addToWorkspace.VCSGisJAddToWorkspaceImpl.lambda$initializeComponents$4(VCSGisJAddToWorkspaceIm
paceImpl.java:142)
    at javax.swing.AbstractButton.fireStateChanged(Unknown Source)
    at javax.swing.AbstractButton$Handler.stateChanged(Unknown Source)
    at javax.swing.DefaultButtonModel.fireStateChanged(Unknown Source)
    at javax.swing.DefaultButtonModel.setRollover(Unknown Source)
    at javax.swing.plaf.basic.BasicButtonListener.mouseExited(Unknown Source)
    at java.awt.Component.processMouseEvent(Unknown Source)
    at javax.swing.JComponent.processMouseEvent(Unknown Source)
    at java.awt.Component.processEvent(Unknown Source)
    at java.awt.Container.processEvent(Unknown Source)
    at java.awt.Component.dispatchEventImpl(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.retargetMouseEnterExit(Unknown Source)
    at java.awt.LightweightDispatcher.trackMouseEnterExit(Unknown Source)
    at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Window.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
    at java.awt.EventQueue.access$500(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue.dispatchEvent(Unknown Source)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.run(Unknown Source)

Si busco cambios con la ventana de "Mostrar cambios" sí pide usuario y contraseña y luego funciona "Añadir tabla a la copia de
trabajo"

WARN 631764 VCSGisAddToWorkingCopy org.gvsig.vcsgis.swing.impl.addToWorksp

Al cerrar conexión, en la ventan de "Añadir tabla a la copia de trabajo" no vuelve a pedir usuario. En la de "Mostrar cambios", sí.

History
#1 - 03/28/2021 12:36 PM - Joaquín  del Cerro Murciano
- Target version set to 2.6.0-3219

#2 - 03/28/2021 12:42 PM - Joaquín  del Cerro Murciano
- Hito set to Fase 01

#3 - 03/29/2021 11:36 AM - Joaquín  del Cerro Murciano
- Status changed from Awaiting response to Fixed

#4 - 03/29/2021 02:52 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3219 to 2.6.0-3218

#5 - 05/19/2021 11:38 AM - Álvaro Anguix
- Status changed from Fixed to Closed
